- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRLineStyle Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRLineStyle ()
| CDRLineStyle (unsigned short lt, unsigned short ct, unsigned short jt, double lw, double st, double a, const CDRColor &c, const std::vector< unsigned short > &da, unsigned smi, unsigned emi)

## Public Attributes
unsigned short | lineType
unsigned short | capsType
unsigned short | joinType
double | lineWidth
double | stretch
double | angle
CDRColor | color
std::vector< unsigned short > | dashArray
unsigned | startMarkerId
unsigned | endMarkerId

## Constructor & Destructor Documentation

libcdr::CDRLineStyle::CDRLineStyle | ( |  | ) |
| inline

libcdr::CDRLineStyle::CDRLineStyle | ( | unsigned short | lt,
|  | unsigned short | ct,
|  | unsigned short | jt,
|  | double | lw,
|  | double | st,
|  | double | a,
|  | const CDRColor & | c,
|  | const std::vector< unsigned short > & | da,
|  | unsigned | smi,
|  | unsigned | emi
| ) |  |
| inline

## Member Data Documentation

double libcdr::CDRLineStyle::angle

unsigned short libcdr::CDRLineStyle::capsType

CDRColor libcdr::CDRLineStyle::color

std::vector<unsigned short> libcdr::CDRLineStyle::dashArray

unsigned libcdr::CDRLineStyle::endMarkerId

unsigned short libcdr::CDRLineStyle::joinType

unsigned short libcdr::CDRLineStyle::lineType

double libcdr::CDRLineStyle::lineWidth

unsigned libcdr::CDRLineStyle::startMarkerId

double libcdr::CDRLineStyle::stretch

The documentation for this struct was generated from the following file:

- CDRTypes.h